package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.ZB;
import com.sa.ibiz.demo.demo.service.dto.ZBSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[ZB] 服务对象接口
 */
public interface ZBService extends IService<ZB>{

		ZB get(ZB et);
	boolean getDraft(ZB et);
	boolean remove(ZB et);
	boolean create(ZB et);
	boolean checkKey(ZB et);
	boolean update(ZB et);
    List<ZB> listDefault(ZBSearchFilter filter) ;
	Page<ZB> searchDefault(ZBSearchFilter filter);
	/**	 实体[ZB] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }